diff .chezmoiscripts/run_once_after_15-install-ubuntu-packages.sh.tmpl @ 807:fa76b30a3c2f

feat: manage more packages for ubuntu
author zegervdv <zegervdv@me.com>
date Sat, 02 Dec 2023 00:17:39 +0100
parents e1cbab38a3e1
children
line wrap: on
line diff
--- a/.chezmoiscripts/run_once_after_15-install-ubuntu-packages.sh.tmpl	Fri Dec 01 13:35:51 2023 +0100
+++ b/.chezmoiscripts/run_once_after_15-install-ubuntu-packages.sh.tmpl	Sat Dec 02 00:17:39 2023 +0100
@@ -1,7 +1,49 @@
 {{ if eq .chezmoi.os "linux" -}}
 {{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
+
+{{ $packages := list
+	"build-essential"
+	"libsqlite3-dev"
+	"libreadline-dev"
+    "libbz2-dev"
+    "libncurses-dev"
+    "zlib1g-dev"
+    "libffi-dev"
+    "libssl-dev"
+    "software-properties-common"
+	"fzf"
+    "fd-find"
+    "ripgrep"
+	"jq"
+	"pass"
+	"apt-file"
+	"fonts-firacode"
+	"kitty" -}}
+
+{{ $ppa := list
+	"ppa:maveonair/helix-editor"
+	"ppa:mozillateam/ppa" -}}
+
+{{ $extra_packages := list
+	"helix"
+	"firefox" -}}
 #!/usr/bin/env bash
 
-sudo apt install -y libsqlite3-dev libreadline-dev libbz2-dev libncurses-dev zlib1g-dev libffi-dev libssl-dev
+set -xe
+
+sudo apt install -y  {{ $packages | join " "}}
+
+{{ range $ppa }}
+sudo add-apt-repository -y --no-update --ppa {{ . }}
+{{ end}}
+
+sudo mkdir -p /etc/apt/preferences.d/
+sudo cp -v {{ .chezmoi.sourceDir }}/system/ubuntu/mozilla-firefox /etc/apt/preferences.d/mozilla-firefox
+
+sudo apt update
+sudo apt install -y  {{ $extra_packages | join " " }}
+
+sudo update-alternatives --set x-terminal-emulator /usr/bin/kitty
+
 {{- end }}
 {{- end }}